<?php
namespace OCA\sccuot_ng\Migrations;

use Doctrine\DBAL\Schema\Schema;

use OCA\SccuotNG\Db\{
	Snapshot,
	SnapshotMapper
};

use OCP\Migration\ISchemaMigration;

/* Second migration step: Extend snapshot values */
class Version20220512090727 implements ISchemaMigration {
    private string $prefix;

	public function changeSchema(Schema $schema, array $options) {
        $this->prefix = $options['tablePrefix'];

        $this->updateSnapshotsTable($schema);
    }

    private function updateSnapshotsTable(Schema $schema) {
        $table = $schema->getTable("{$this->prefix}" . SnapshotMapper::SNAPSHOTS_TABLE);

        // New value columns
        $valueColumns = [
			Snapshot::GROUPS_COUNT_FIELD,
            Snapshot::USERS_STORAGE_FIELD,
	        Snapshot::USERS_QUOTA_FIELD,
        ];
        foreach ($valueColumns as $col) {
            $table->addColumn($col, 'text', [
                'notnull' => false,
            ]);
        }
    }
}
