<?php
namespace OCA\sccuot_ng\Migrations;

use Doctrine\DBAL\Schema\Schema;

use OCA\SccuotNG\Db\{
	Snapshot,
	SnapshotMapper
};

use OCP\Migration\ISchemaMigration;

/* Third migration step: Add version to snapshots */
class Version20220718133429 implements ISchemaMigration {
	private string $prefix;

	public function changeSchema(Schema $schema, array $options) {
		$this->prefix = $options['tablePrefix'];

		$this->updateSnapshotsTable($schema);
	}

	private function updateSnapshotsTable(Schema $schema) {
		$table = $schema->getTable("{$this->prefix}" . SnapshotMapper::SNAPSHOTS_TABLE);

		// Snapshot version column
		$table->addColumn(Snapshot::VERSION_FIELD, 'integer', [
			'default' => 1,
			'notnull' => true,
		]);
	}
}
