'use strict';

class SettingsHandler extends Handler {
    getAll() {
        return this.call('get', 'GET');
    }

    getDefaults() {
        return this.call('get/defaults', 'GET');
    }

    getFileTypesGroups() {
        let deferred = $.Deferred();
        let self = this;
        this.getAll().done(function (settings) {
            let groups = JSON.parse(settings.data().snapshot_filetypes);
            deferred.resolve(groups);
        }).fail(function () {
            deferred.reject();
        });
        return deferred.promise();
    }

    save(settings) {
        return this.call('set', 'POST', {settings: JSON.stringify(settings)});
    }
}
