'use strict';

class SnapshotsHandler extends Handler {
    refreshSnapshots() {
        this._snapshots = [];

        let deferred = $.Deferred();
        let self = this;
        this.getAll().done(function (snapshots) {
            self._snapshots = snapshots.data();
            deferred.resolve(self._snapshots);
        }).fail(function () {
            deferred.reject();
        });
        return deferred.promise();
    }
    
    snapshots() {
        if (!this.hasOwnProperty('_snapshots')) {
            this._snapshots = [];
        }
        return this._snapshots;
    }

    findSnapshot(id) {
        return findSnapshot(id, this.snapshots());
    }

    findSnapshotByTimestamp(timestamp) {
        return findSnapshotByTimestamp(timestamp, this.snapshots());
    }

    getAll() {
        return this.call('get', 'GET');
    }

    takeSnapshot(comment) {
        return this.call('take', 'POST', {comment: comment});
    }

    deleteSnapshots(snapshotIDs) {
        return this.call('delete', 'POST', {ids: String(snapshotIDs)});
    }
}
