'use strict';

// compareSnapshots can be used to check if two snapshots, either as objects or sole IDs, are equal.
function compareSnapshots(snapshot1, snapshot2) {
    if (snapshot1 === null || snapshot2 === null) {
        return false;
    }

    if (typeof snapshot1 == "number" && typeof snapshot2 == "number") {
        return snapshot1 === snapshot2;
    } else if (typeof snapshot1 == "object" && typeof snapshot2 == "object") {
        return snapshot1.id === snapshot2.id;
    } else if (typeof snapshot1 == "object" && typeof snapshot2 == "number") {
        return snapshot1.id === snapshot2;
    } else if (typeof snapshot1 == "number" && typeof snapshot2 == "object") {
        return snapshot1 === snapshot2.id;
    }

    return false;
}

function findSnapshot(id, snapshots) {
    for (let elem of snapshots) {
        if (elem.id === id) {
            return elem;
        }
    }
    return null;
}

function findSnapshotByTimestamp(timestamp, snapshots) {
    for (let elem of snapshots) {
        if (elem.timestamp === timestamp) {
            return elem;
        }
    }
    return null;
}
