'use strict';

class SnapshotsDropDown extends SnapshotsList {
    constructor(elementId, cookieName = '', templates = {list: '#snapshots-dropdown-tpl', loading: '#snapshots-dropdown-loading-tpl', empty: '#snapshots-dropdown-empty-tpl', error: '#snapshots-dropdown-error-tpl'}) {
        super(elementId, templates, cookieName);
    }

    preparePopulate() {
        this._bindActions();
        super.preparePopulate();
    }

    populate(snapshots) {
        let activeSnapshot = this._getInitialSelection(snapshots);
        super.populate(snapshots, activeSnapshot);
    }

    _bindActions() {
        let self = this;
        this._element().change(function () {
            let selected = $(self._elementId + ' optgroup option:selected');
            if (selected !== null) {
                self.activateSnapshot(parseInt(selected.val()));
                self.populate(self._snapshots);
            }
        });
    }

    _getInitialSelection(snapshots) {
        let activeSnapshot = null;
        if (snapshots.length !== 0) {
            activeSnapshot = snapshots[0];
        }
        return activeSnapshot;
    }
}
