'use strict';

class SubPage {
    constructor(title, templateId) {
        this._title = title;
        this._templateId = templateId;

        this._snapshotVersion = 0;

        this._fileSizeUnit = "B";
        this._fileSizeUnitFactor = 1;
    }

    render(target, data = {}) {
        this._preRenderContent();

        this._getContentData(data);
        this._getAdditionalContentData(data);
        renderHandlebarsTemplate(this._templateId, target, data);

        this._postRenderContent();
    }

    _preRenderContent() {
    }

    _postRenderContent() {
    }

    _getContentData(data) {
        this._snapshotVersion = 0;

        this._fileSizeUnit = data.filesize_unit.unit;
        this._fileSizeUnitFactor = data.filesize_unit.factor;

        if (data.hasOwnProperty('active_snapshot') && data.active_snapshot !== null) {
            this._snapshotVersion = data.active_snapshot.version;
        }
    }

    _getAdditionalContentData(data) {
    }

    onActivate() {
    }

    onDeactivate() {
    }

    title() {
        return this._title;
    }

    templateId() {
        return this._templateId;
    }
}
