'use strict';

class TimelineValueDropDown extends ListControl {
    constructor(values, elementId, cookieName = '', templateId = '#timeline-values-dropdown-tpl') {
        super(elementId, cookieName);

        this._templateId = templateId;
        this._values = values;
    }

    _populate() {
        renderHandlebarsTemplate(this._templateId, this._elementId, { values: this._values.toJSON() });
    }

    activeValue() {
        let currentValue = this.currentValue();
        if (this._values.contains(currentValue)) {
            return currentValue;
        } else {
            return null;
        }
    }
}
