'use strict';

class FileSizeUnitsDropDown extends ListControl {
    constructor(elementId, cookieName = '', templateId = '#filesize-units-dropdown-tpl') {
        super(elementId, cookieName);

        this._templateId = templateId;
        this._units = fileSizeUnits();
    }

    _populate() {
        renderHandlebarsTemplate(this._templateId, this._elementId, { units: this._units });
    }

    activeUnit() {
        let currentUnit = this.currentIndex();
        if (currentUnit >= 0 && currentUnit < this._units.length) {
            return this._units[currentUnit];
        } else {
            return null;
        }
    }
}
