'use strict';

function formatPluralValue(value, singular, plural = singular + 's') {
    return value.toLocaleString() + ' ' + (value === 1 ? singular : plural);
}

function formatReadableNumber(value, digits = 2) {
    let formatter = new Intl.NumberFormat(undefined, {minimumFractionDigits: digits, maximumFractionDigits: digits});
    return formatter.format(value);
}

function formatFileSize(value, factor, unit, enforceDigits = false) {
    let str = formatReadableNumber(value/factor, factor !== 1 || enforceDigits ? 3 : 0);
    return str + " " + unit;
}
