'use strict';

(function (OC, window, $) {
    class TakeSnapshotView extends View {
        constructor(handler) {
            super(handler);
        }

        _postRenderContent() {
            super._postRenderContent();

            this._bindSnapshotActions();
        }

        _bindSnapshotActions() {
            let self = this;
            $('#snapshot-take').click(function (event) {
                event.preventDefault();

                self.infoMessage('Taking snapshot', 'A new snapshot is being taken... this might take a while. <i>You may safely browse away from this page, the snapshot will still be taken.</i>');

                let comment = $("#snapshot-comment").val();
                self.handler().takeSnapshot(comment).done(function (resp) {
                    self.successMessage('Snapshot taken', 'The snapshot has been successfully taken (id=' + resp.data().id + ').');
                }).fail(function (reason) {
                    self.errorMessage('Snapshot error', reason.formatError('The snapshot could not be taken'));
                });
            });
        };
    }

    $(document).ready(function () {
        let handler = new SnapshotsHandler(OC.generateUrl('/apps/sccuot_ng/snapshot'));

        let view = new TakeSnapshotView(handler);
        view.render();
    });
})(OC, window, jQuery);
