'use strict';

class MetricsPage extends SubPage {
    constructor() {
        super('Metrics', '#stats-metrics-tpl');
    }

    _getAdditionalContentData(data) {
        if (!data.hasOwnProperty('active_snapshot') || data.active_snapshot === null) {
            return;
        }

        data.active_snapshot.values.files_count_avg_per_user = 0;
        data.active_snapshot.values.files_size_avg_per_user = 0;
        let usersCount = data.active_snapshot.values.users_count.total;
        if (usersCount !== 0) {
            data.active_snapshot.values.files_count_avg_per_user = Math.round(data.active_snapshot.values.files_count.total / usersCount);
            data.active_snapshot.values.files_size_avg_per_user = Math.round(data.active_snapshot.values.files_size.total / usersCount);
        }

        data.active_snapshot.values.users_count.open = data.active_snapshot.values.users_count.total - data.active_snapshot.values.users_count.closed;
        data.active_snapshot.values.files_count.active = data.active_snapshot.values.files_count.total - data.active_snapshot.values.files_count.obsolete;
        data.active_snapshot.values.files_size.active = data.active_snapshot.values.files_size.total - data.active_snapshot.values.files_size.obsolete;

        if (this._snapshotVersion < 3) {
            data.active_snapshot.values.shares_count.public_links = 0;
        }
    }
}

StatisticsPages.registerPageClass(MetricsPage);
