'use strict';

class UsersQuotaPage extends HistogramPage {
    constructor() {
        super('Users quota', '#stats-users-quota-tpl', '#users-quota-chart', '#histogram-users-quota-bin-count');
    }

    _getHistogramData(data) {
        return {
            data: Array.isArray(data.active_snapshot.values.users_quota) ? data.active_snapshot.values.users_quota : null,
            isFloats: true,
        }
    }

    _formatValue(value) {
        let str = formatReadableNumber(value*100.0, 2);
        return str + "%";
    }

    _getMinimumDeltaValue() {
        return Number.MIN_VALUE;
    }
}

StatisticsPages.registerPageClass(UsersQuotaPage);
