'use strict';

class StatisticsPages extends SubPageContainer {
    static _registeredPageClasses = [];
    static registerPageClass(cls) {
        StatisticsPages._registeredPageClasses.push(cls);
    }

    constructor() {
        let tabBar = new TabBar('statistics-tab', '#statistics-tab-bar');
        super('#stats-container-content', tabBar);

        this._snapshots = null;
        this._activeSnapshot = null;

        this._fileSizeUnit = null;
    }

    createPages() {
        for (let cls of StatisticsPages._registeredPageClasses) {
            let page = new cls();
            this.addPage(page);
        }
    }

    setSnapshots(snapshots) {
        this._snapshots = snapshots;
    }

    setActiveSnapshot(snapshot) {
        this._activeSnapshot = snapshot;
    }

    setFileSizeUnit(unit) {
        this._fileSizeUnit = unit;
    }

    _getContentData() {
        return {
            snapshots: this._snapshots,
            active_snapshot: this._activeSnapshot,
            filesize_unit: this._fileSizeUnit
        }
    }
}
