<?php

namespace OCA\SccuotNG\Command;

use OCA\SccuotNG\Util\OutputProxy;

use Exception;
use Symfony\Component\Console\Input\{
    InputArgument,
    InputInterface
};

class DeleteSnapshotCommand extends SccuotCommand {
    const PARAM_ID = 'id';

    protected function configure() {
        $this->setName('sccuot_ng:delete')
            ->setDescription('Deletes one or more snapshots.')
            ->addArgument(self::PARAM_ID, InputArgument::REQUIRED|InputArgument::IS_ARRAY, 'The ID of the snapshot to delete');
    }

    protected function executeCommand(InputInterface $input) {
        $ids = $input->getArgument(self::PARAM_ID);
        $idList = array_map('intval', $ids);
        $ids = join(',', $ids);

        try {
	        OutputProxy::println("Deleting snapshots {$ids}... ");

            $count = $this->snapshotService->deleteMultiple($idList);

	        OutputProxy::println("{$count} snapshot(s) deleted");
        } catch (Exception $e) {
	        OutputProxy::println("Unable to delete snapshots {$ids}: {$e->getMessage()}");
        }
    }
}
