<?php

namespace OCA\SccuotNG\Command;

use OCA\SccuotNG\Util\OutputProxy;

use Exception;
use Symfony\Component\Console\Input\InputInterface;

class ListSnapshotsCommand extends SccuotCommand {
    protected function configure() {
        $this->setName('sccuot_ng:list')
            ->setDescription('Lists all available snapshots.');
    }

    protected function executeCommand(InputInterface $input) {
        try {
            $snapshots = $this->snapshotService->getAll();

            if (count($snapshots) > 0) {
                OutputProxy::println('Listing ' . count($snapshots) . ' snapshot(s):');

                foreach ($snapshots as $snapshot) {
                    if (($comment = $snapshot->getComment()) !== "") {
	                    OutputProxy::println("  {$snapshot->getId()}: {$snapshot->getFormattedTimestamp()} ($comment)");
                    } else {
	                    OutputProxy::println("  {$snapshot->getId()}: {$snapshot->getFormattedTimestamp()}");
                    }
                }
            } else {
	            OutputProxy::println('No snapshots found');
            }
        } catch (Exception $e) {
	        OutputProxy::println("Unable to list snapshots: {$e->getMessage()}");
        }
    }
}
