<?php

namespace OCA\SccuotNG\Controller;

use OCP\IRequest;
use OCP\App;
use OCP\AppFramework\{
    Controller,
    Http\TemplateResponse
};

class HelpController extends Controller {
    public function __construct($AppName, IRequest $request) {
        parent::__construct($AppName, $request);
    }

    /*** Page endpoints ***/

	/**
    * @NoAdminRequired
	* @NoCSRFRequired
    */
    public function manualPage() {
        return new TemplateResponse($this->appName, 'help/manual');
    }

	/**
    * @NoAdminRequired
	* @NoCSRFRequired
    */
    public function aboutPage() {
        $params = [
            'sccuot-version' => App::getAppVersion($this->appName),
        ];
        return new TemplateResponse($this->appName, 'help/about', $params);
    }
}
