<?php

namespace OCA\SccuotNG\Controller;

use OCA\SccuotNG\Http\MetricsResponse;
use OCA\SccuotNG\Service\MetricsService;
use OCA\SccuotNG\Service\SnapshotService;

use OCP\AppFramework\Controller;
use OCP\IRequest;

class MetricsController extends Controller {
	private SnapshotService $snapshotService;
	private MetricsService $metricsService;

	public function __construct($AppName, IRequest $request, SnapshotService $snapshotService, MetricsService $metricsService) {
		parent::__construct($AppName, $request);

		$this->snapshotService = $snapshotService;
		$this->metricsService = $metricsService;
	}

	/*** Page endpoints ***/

	/**
	 * @NoAdminRequired
	 * @NoCSRFRequired
	 * @PublicPage
	 */
	public function metricsPage() {
		$this->snapshotService->expose();
		return new MetricsResponse($this->metricsService->registry());
	}
}
