<?php

namespace OCA\SccuotNG\Controller;

use OCA\SccuotNG\Service\ConfigService;

use OCP\IRequest;
use OCP\AppFramework\{
    Controller,
    Http\TemplateResponse
};

class StatisticsController extends Controller {
	private ConfigService $configService;

    public function __construct($AppName, IRequest $request, ConfigService $configService) {
        parent::__construct($AppName, $request);

	    $this->configService = $configService;
    }

    /*** Page endpoints ***/

	/**
	 * @NoAdminRequired
	 * @NoCSRFRequired
	 */
    public function statisticsPage() {
	    $data = [
		    'config' => $this->configService->jsonSerialize(),
	    ];
        return new TemplateResponse($this->appName, 'stats/statistics', $data);
    }
}
