<?php

namespace OCA\SccuotNG\Db\OC;

use OCA\SccuotNG\Db\ExtMapper;

use OCP\DB\QueryBuilder\IQueryBuilder;
use OCP\IDBConnection;

class ExternalSharesMapper extends ExtMapper {
    const EXTERNAL_SHARES_TABLE = 'share_external';

    public function __construct(IDBConnection $db, int $chunkSize) {
        parent::__construct($db, self::EXTERNAL_SHARES_TABLE, $chunkSize);
    }

	public function queryTotalCount() {
		$data = [
			'count' => 0
		];
		$this->chunkedQuery('id', array($this, 'queryTotalCountCallback'), $data);
		return $data['count'];
	}

    protected function queryTotalCountCallback(IQueryBuilder $query, $offset, &$data): int {
        $query->selectAlias($query->createFunction('COUNT(*)'), 'c')
	        ->selectAlias($query->createFunction('MAX(id)'), 'm')
            ->from(self::EXTERNAL_SHARES_TABLE);
	    $this->addChunkCondition($query,'id', $offset, true);

	    // Query values and add up count
	    $values = $this->queryValues($query, ['c', 'm']);
        $data['count'] += $values['c'];

		return $values['m'];
    }
}
