<?php

namespace OCA\SccuotNG\Db\OC;

use OCA\SccuotNG\Db\ExtMapper;

use OCP\IDBConnection;

class GroupsMapper extends ExtMapper {
    const GROUPS_TABLE = 'groups';
	const LDAP_GROUPS_TABLE = 'ldap_group_mapping';

    public function __construct(IDBConnection $db, int $chunkSize) {
        parent::__construct($db, self::GROUPS_TABLE, $chunkSize);
    }

    public function queryTotalCount($includeLDAPGroups = false) {
		return $this->queryCount(self::GROUPS_TABLE) + $this->queryCount(self::LDAP_GROUPS_TABLE);
    }

	private function queryCount($table) {
		$query = $this->getQueryBuilder();
		$query->selectAlias($query->createFunction('COUNT(*)'), 'c')
			->from($table);
		return $this->queryValue($query, 'c');
	}
}
