<?php

namespace OCA\SccuotNG\Db\OC;

use OCA\SccuotNG\Db\ExtMapper;

use OCP\IDBConnection;

class MimetypesMapper extends ExtMapper {
    const MIMETYPES_TABLE = 'mimetypes';

    public function __construct(IDBConnection $db) {
        parent::__construct($db, self::MIMETYPES_TABLE);
    }

    public function queryMimetypeID($name) {
        $query = $this->getQueryBuilder();
        $query->select('id')
            ->from(self::MIMETYPES_TABLE)
            ->where($query->expr()->eq('mimetype', $query->createPositionalParameter($name)));
        return $this->queryValue($query, 'id', -1);
    }
}
