<?php

namespace OCA\SccuotNG\Db\OC;

use OCA\SccuotNG\Db\ExtMapper;

use OCP\IDBConnection;

class StoragesMapper extends ExtMapper {
    const STORAGES_TABLE = 'storages';

    public function __construct(IDBConnection $db, int $chunkSize) {
        parent::__construct($db, self::STORAGES_TABLE, $chunkSize);
    }

	public function queryUsedStorage($userId) {
		$userParam = "CONCAT('home::', '" . $userId . "')";
		$query = $this->getQueryBuilder();
		$query->selectAlias('fc.size', 's')
			->from(self::STORAGES_TABLE, 's')
			->join('s', FilecacheMapper::FILECACHE_TABLE, 'fc', 'fc.storage = s.numeric_id')
			->where($query->expr()->eq('s.id', $query->createFunction($userParam)))
			->andWhere($query->expr()->eq('fc.path', $query->createPositionalParameter('files')));
		return $this->queryValue($query, 's');
	}
}
