<?php

namespace OCA\SccuotNG\Http;

use OCP\AppFramework\Http;
use OCP\AppFramework\Http\Response;

use Prometheus\CollectorRegistry;
use Prometheus\RenderTextFormat;

class MetricsResponse extends Response {
	private CollectorRegistry $registry;

	public function __construct(CollectorRegistry $registry, int $statusCode = Http::STATUS_OK) {
		$this->addHeader('Content-Type', RenderTextFormat::MIME_TYPE);
		$this->setStatus($statusCode);

		$this->registry = $registry;
	}

	public function render() {
		$renderer = new RenderTextFormat();
		return $renderer->render($this->registry->getMetricFamilySamples());
	}
}
