<?php

namespace OCA\SccuotNG\Stats\Collector;

use OCA\SccuotNG\Db\OC\FilecacheMapper;
use OCA\SccuotNG\Service\ConfigService;
use OCA\SccuotNG\Stats\Value\FilesCountValue;

use OCP\IDBConnection;


class FilesCountCollector extends BaseCollector {
    protected function collectData(IDBConnection $db, int $timestamp, int $chunkSize, ConfigService $config) {
        $mapper = new FilecacheMapper($db, $chunkSize);
		$totalCount = $mapper->queryTotalFilesCount();
		$mapper->setAccountsState(0); # disabled
	    $obsoleteCount = $mapper->queryTotalFilesCount();
        return [
			FilesCountValue::TOTAL_COUNT => $totalCount,
	        FilesCountValue::OBSOLETE_COUNT => $obsoleteCount,
        ];
    }
}
