<?php

namespace OCA\SccuotNG\Stats\Collector;

use OCA\SccuotNG\Db\OC\FilecacheMapper;
use OCA\SccuotNG\Service\ConfigService;
use OCA\SccuotNG\Stats\Value\FilesSizeValue;

use OCP\IDBConnection;


class FilesSizeCollector extends BaseCollector {
    protected function collectData(IDBConnection $db, int $timestamp, int $chunkSize, ConfigService $config) {
        $mapper = new FilecacheMapper($db, $chunkSize);
	    $totalCount = $mapper->queryTotalFilesSize();
	    $mapper->setAccountsState(0); #disabled
	    $obsoleteCount = $mapper->queryTotalFilesSize();
	    return [
		    FilesSizeValue::TOTAL_SIZE => $totalCount,
		    FilesSizeValue::OBSOLETE_SIZE => $obsoleteCount,
	    ];
    }
}
