<?php

namespace OCA\SccuotNG\Stats\Collector;

use OCA\SccuotNG\Db\OC\{
    ExternalSharesMapper,
    SharesMapper
};
use OCA\SccuotNG\Service\ConfigService;
use OCA\SccuotNG\Stats\Value\SharesCountValue;

use OCP\IDBConnection;

class SharesCountCollector extends BaseCollector {
    protected function collectData(IDBConnection $db, int $timestamp, int $chunkSize, ConfigService $config): array {
        $mapper = new SharesMapper($db, $chunkSize);
        $extMapper = new ExternalSharesMapper($db, $chunkSize);
        return [
            SharesCountValue::TOTAL_COUNT => $mapper->queryTotalCount(),
            SharesCountValue::FILES_COUNT => $mapper->queryFilesCount(),
            SharesCountValue::FOLDERS_COUNT => $mapper->queryFoldersCount(),
	        SharesCountValue::PUBLIC_LINKS_COUNT => $mapper->queryPublicLinksCount(),
	        SharesCountValue::EXTERNAL_COUNT => $extMapper->queryTotalCount(),
        ];
    }
}
