<?php

namespace OCA\SccuotNG\Stats\Collector;

use OCA\SccuotNG\Db\OC\PreferencesMapper;
use OCA\SccuotNG\Misc\TimePeriods;
use OCA\SccuotNG\Service\ConfigService;
use OCA\SccuotNG\Stats\Value\UsersCountValue;

use OCP\IDBConnection;

class UsersCountCollector extends BaseCollector {
    protected function collectData(IDBConnection $db, int $timestamp, int $chunkSize, ConfigService $config): array {
        $mapper = new PreferencesMapper($db, $chunkSize);
		$activeUsers = $mapper->queryTotalCount('true');
		$closedUsers = $mapper->queryTotalCount('false');
        $values = [UsersCountValue::TOTAL_COUNT => $activeUsers + $closedUsers, UsersCountValue::CLOSED_COUNT => $closedUsers];
        foreach (TimePeriods::periods() as $k => $period) {
            $values[$k] = $mapper->queryActiveCount($period->before($timestamp));
        }
        return $values;
    }
}
