<?php

namespace OCA\SccuotNG\Stats\Value;

use OCA\SccuotNG\Db\Snapshot;
use OCA\SccuotNG\Exception\ValueException;
use OCA\SccuotNG\Service\ConfigService;
use OCA\SccuotNG\Service\MetricsService;

abstract class BaseValue implements IValue {
    protected $value;

    public function data() {
        return $this->value;
    }

	public function expose(Snapshot $snapshot, MetricsService $metrics, ConfigService $config) {
	}

    public function jsonSerialize() {
        return $this->value;
    }

    protected function throwTypeError($data) {
        throw new ValueException("Unsupported value type {gettype($data)}");
    }
}
