<?php

namespace OCA\SccuotNG\Stats\Value;

use OCA\SccuotNG\Stats\Collector\{
	ICollector,
	GroupsCountCollector
};
use OCA\SccuotNG\Db\Snapshot;
use OCA\SccuotNG\Service\ConfigService;
use OCA\SccuotNG\Service\MetricsService;

class GroupsCountValue extends BaseValue {
	public function setData($data) {
		$this->reset();
		if ($data != null) {
			if (is_int($data) || is_float($data)) {
				$this->value = intval($data);
			} else if (is_string($data)) {
				$this->value = json_decode($data);
			} else {
				$this->throwTypeError($data);
			}
		}
	}

	public function createCollector(): ICollector {
		return new GroupsCountCollector();
	}

	public function expose(Snapshot $snapshot, MetricsService $metrics, ConfigService $config) {
		$metrics->getGauge('groups_count', 'Total number of user groups')->set($this->value);
	}

	private function reset() {
		$this->value = 0;
	}
}
