<?php

namespace OCA\SccuotNG\Util;

class OutputProxy {
	private static array $outputInterfaces = [];

	public static function assign($interface) {
		OutputProxy::$outputInterfaces[] = $interface;
	}

	public static function unassign($interface) {
		if (($key = array_search($interface, OutputProxy::$outputInterfaces)) !== false) {
			unset(OutputProxy::$outputInterfaces[$key]);
		}
	}

	public static function print($messages, $newline = false, $options = 0) {
		foreach (OutputProxy::$outputInterfaces as $interface) {
			$interface->write($messages, $newline, $options);
		}
	}

	public static function println($messages, $options = 0) {
		foreach (OutputProxy::$outputInterfaces as $interface) {
			$interface->writeln($messages, $options);
		}
	}
}
