<?php
    print_unescaped($this->inc('template', ['scope' => 'config', 'file' => 'snapshotSettings']));
?>

<script id="content-tpl" type="text/x-handlebars-template">
    <div class="content-page">
        <div class="content-header">
            <img src="<?php print_unescaped(image_path('sccuot_ng', 'nav/settings.svg')); ?>" width="23px"/>
            <h2>Snapshots settings</h2>
        </div>

        <form id="settings-form">
            <div id="general-settings-section" style="grid-row: 1;">
                <div class="section-header">
                    <h3>General</h3>
                </div>
                <div>Configure general snapshots settings.</div>
                <div>&nbsp;</div>

                <div class="settings-table settings-table-general">
                    <label for="snapshot-interval" style="grid-row: 1;">Automatic snapshot interval:</label>
                    <input id="snapshot-interval" type="text" placeholder="Interval" style="grid-row: 1;" value="<?php p($_['config']['snapshot_interval'])?>"/>
                    <em style="grid-row: 1;"><i>Leave empty to disable automatic snapshot creation.</i></em>
                    <em style="grid-row: 2; grid-column: span 3;">A snapshot will be automatically created once per interval. <strong>Example:</strong> '1d 12h' will create a snapshot once every one and a half days.</em>

                    <div style="grid-row: 3;">&nbsp;</div>

                    <label for="snapshot-max-age" style="grid-row: 4;">Maximum snapshot age:</label>
                    <input id="snapshot-max-age" type="text" placeholder="Age" style="grid-row: 4;" value="<?php p($_['config']['snapshot_max_age'])?>"/>
                    <em style="grid-row: 4;"><i>Leave empty to disable automatic deletion.</i></em>
                    <em style="grid-row: 5; grid-column: span 3;">Snapshots older than the specified age will be automatically deleted. <strong>Example:</strong> '30d' will delete all snapshots that are at least 30 days old.</em>
                </div>
            </div>

            <div style="grid-row: 2;">&nbsp;</div>
            <div id="filetypes-settings-section" style="grid-row: 3;">
                <div class="section-header">
                    <h3>File types</h3>
                </div>

                <div>Configure file types settings and the file types groups that will be gathered and evaluated in a snapshot.</div>
                <div>&nbsp;</div>

                <div class="settings-table-files">
                    <div style="grid-row: 1;">
                        <input id="snapshot-filetypes-filter-closed-accounts" type="checkbox" <?= $_['config']['snapshot_filetypes_filter_closed_accounts'] ? 'checked' : ''; ?>/>
                        <label for="snapshot-filetypes-filter-closed-accounts">Filter out files belonging to closed accounts</label>
                    </div>
                    <em style="grid-row: 2;">Enabling this option can significantly impact the time needed to take a snapshot.</em>
                </div>
                <div>&nbsp;</div>

                <div class="box box-dynamic">
                    <div id="filetypes-groups" class="table">
                        <div class="table-header">
                            <div class="table-header-cell table-cell-min-width">Group</div>
                            <div class="table-header-cell">Extensions</div>
                            <div class="table-header-cell table-cell-min-width">Collect</div>
                            <div class="table-header-cell table-cell-min-width">Actions</div>
                        </div>
                        <div id="filetypes-groups-table" class="table-content"></div>
                    </div>

                    <div style="text-align: right; margin-top: 10px;">
                        <button id="filetypes-groups-add-new">Add new group</button>
                    </div>
                </div>
                <div><em>File extensions can be separated by whitespaces, commas or semicolons.</em></div>

                <div>&nbsp;</div>
                <div>Note that changes to the file types settings will only affect <i>newly created</i> snapshots.</div>
            </div>

            <div style="grid-row: 4;">&nbsp;</div>
            <div id="filetypes-settings-section" style="grid-row: 5;">
                <div class="section-header">
                    <h3>Advanced</h3>
                </div>

                <div>Configure advanced snapshots settings.</div>
                <div>&nbsp;</div>

                <div class="settings-table settings-table-advanced">
                    <label for="query-chunksize" style="grid-row: 1;">Query chunk size:</label>
                    <input id="query-chunksize" type="text" placeholder="Size" style="grid-row: 1;" value="<?php p($_['config']['query_chunksize'])?>"/>
                    <em style="grid-row: 1;"><i>Set to zero to disable chunking.</i></em>
                    <em style="grid-row: 2; grid-column: span 3;">Gathering snapshot values can be performed in <i>chunks</i>. This can improve the overall stability of this process, but will also impact its performance. <i>The contents of a snapshot are not affected by this setting.</i></em>
                </div>
            </div>

            <div style="grid-row: 6;">&nbsp;</div>
            <div style="grid-row: 7;">
                <button id="settings-save">Save settings</button>
                <button id="settings-reset">Reset to defaults</button>
            </div>
        </form>
    </div>
</script>

<script id="filetypes-groups-table-tpl" type="text/x-handlebars-template">
    {{#each groups}}
    <div id="{{this.properties.index}}" class="table-row">
        {{#if this.properties.is_editing}}
        <div class="table-cell table-cell-min-width"><input id="{{this.properties.groupname_id}}" type="text" value="{{@key}}" placeholder="Group name"/></div>
        <div class="table-cell"><input id="{{this.properties.filetypes_id}}" type="text" value="{{formatArray this.group.file_types ' '}}" placeholder="File extensions"/></div>
        <div class="table-cell table-cell-min-width" style="text-align: center;"></div>
        <div class="table-cell table-cell-min-width" style="text-align: center;">
            <a href="" id="{{this.properties.edit_apply_id}}"><img src="<?php print_unescaped(image_path('sccuot_ng', 'icons/check.svg')); ?>" class="icon icon-center" width="16px" title="Edit"/></a>
            <a href="" id="{{this.properties.edit_cancel_id}}"><img src="<?php print_unescaped(image_path('sccuot_ng', 'icons/close.svg')); ?>" class="icon icon-center" width="16px" title="Cancel"/></a>
        </div>
        {{else}}
        <div class="table-cell table-cell-min-width"><strong>{{@key}}</strong></div>
        <div class="table-cell">{{formatArray this.group.file_types ' '}}</div>
        <div class="table-cell table-cell-min-width" style="text-align: center;">
            <input id="{{this.properties.collect_id}}" type="checkbox" {{#if this.group.collect}}checked{{/if}}/>
        </div>
        <div class="table-cell table-cell-min-width" style="text-align: center;">
            <a id="{{this.properties.edit_id}}"><img src="<?php print_unescaped(image_path('sccuot_ng', 'icons/edit.svg')); ?>" class="icon icon-center" width="16px" title="Edit"/></a>
            <a id="{{this.properties.delete_id}}"><img src="<?php print_unescaped(image_path('sccuot_ng', 'icons/remove.svg')); ?>" class="icon icon-center" width="16px" title="Delete"/></a>
        </div>
        {{/if}}
    </div>
    {{/each}}
</script>

<script id="filetypes-loading-table-tpl" type="text/x-handlebars-template">
    <div class="table-row">
        <div class="table-cell"><em>Loading groups...</em></div>
        <div class="table-cell"></div>
        <div class="table-cell"></div>
        <div class="table-cell"></div>
    </div>
</script>
