<?php
print_unescaped($this->inc('template', ['scope' => 'help', 'file' => 'manual']));
?>

<script id="content-tpl" type="text/x-handlebars-template">
    <div class="content-page">
        <div class="content-header">
            <img src="<?php print_unescaped(image_path('sccuot_ng', 'nav/help.svg')); ?>" width="23px"/>
            <h2>Manual</h2>
        </div>

        <div id="manual-introduction-section">
            <div class="section-header">
                <h4>Welcome to <strong>Sccuot NG</strong> - the <strong>N</strong>ext <strong>G</strong>eneration version of the <strong>Statistical computations component and usage overview tool</strong>!</h4>
                <p>This manual will give you an overview of what Sccuot NG is, which features it offers and how to configure and use it.</p>
            </div>
            <p>
                <h2 class="manual-section">What is Sccuot NG?</h2>
                <span>Sccuot NG is a tool to collect and display usage and resource information of an ownCloud 10 instance. It can be used to gather various statistics in so-called <em>snapshots</em>, including:</span>
                <ul class="manual-list">
                    <li><span class="icon-triangle-e">&nbsp;</span> Metrics like number of users, files and used storage</li>
                    <li><span class="icon-triangle-e">&nbsp;</span> File types distribution</li>
                    <li><span class="icon-triangle-e">&nbsp;</span> Used storage amount and quota per user</li>
                    <li><span class="icon-triangle-e">&nbsp;</span> And more!</li>
                </ul>
                <br>
                <p>The Sccuot NG graphical interface allows you to browse through these various statistics, while snapshots can be taken automatically or manually through this interface or via command-line using the <code>occ</code> command.</p>

                <h3>Snapshots</h3>
                <p>When created, a <em>snapshot</em> captures and stores various statistics from the current state of your ownCloud instance that you can then browse in the graphical interface of Sccuot NG.</p>
                <p>This not only gives you a good overview of the current status of your instance, but also lets you easily evaluate how your instance has evolved over time! This means that Sccuot NG also acts as a time machine that allows you to take a peek into various time points of the past of your instance.</p>

                <h2 class="manual-section">Requirements</h2>
                <p>Sccuot NG actually has no special requirements except for running on an ownCloud 10 instance! It has been tested with ownCloud 10.9 and 10.10, but any other minor version (10.xx) should work just as well.</p>
                <p><em>Note: If you&#39;ve used the predecessor of Sccuot NG - Sccuot -, you&#39;ll notice that Sccuot NG doesn&#39;t use an external client application anymore, thus completely removing all of its dependencies and specific requirements!</em></p>

                <h2 class="manual-section">Installation</h2>
                <p>There are no special installation steps necessary to run Sccuot NG. We highly recommend to install the app through the ownCloud Marketplace.</p>
                <p>
                    If you want to use the source code version from our <a href="https://zivgitlab.uni-muenster.de/wwu-it/sccuot-ng" target="_blank">Git repository</a>, it is easiest to clone the repo directly into ownCloud&#39;s <code>apps-external</code> directory. <strong>Note that you need to name the target directory <code>sccuot_ng</code> instead of <code>sccuot-ng</code>!</strong>
                    Here is an example <em>git</em> call to clone the repository:
                    <table>
                    <tbody>
                    <tr>
                        <td style="font-family: monospace; font-size: 120%;">git clone https://zivgitlab.uni-muenster.de/wwu-it/sccuot-ng sccuot_ng</td>
                    </tr>
                    </tbody>
                    </table>
                </p>
                <p>Then, all you need to do is to manually enable the app in the ownCloud settings.</p>

                <h3>Managing access to the app</h3>
                <p>By default, everyone will be able to access the app after it has been installed. However, any non-administrative user will only get a 'read-only' view which allows him to browse through all snapshots but nothing else.</p>
                <p>If you want to completely disable access to the app for certain user groups, you need to use the <strong>Enable only for specific groups</strong> option in ownCloud's <em>Apps</em> settings.</p>

                <h2 class="manual-section">Usage</h2>
                <p>Sccuot NG is used through its comfortable user interface which allows you take take and manage snapshots and browse the various statistics. Below is a brief overview of all interface sections, as well as all supported <code>occ</code> commands. Sccuot NG is extremely easy to use and user-friendly, but if you miss anything here, let us know! </p>

                <h3>Viewing statistics</h3>
                <p>The <strong>Statistics: Statistics &amp; Metrics</strong> page lets you view all statistics and metrics you previously captured in snapshots.</p>
                <span>You can select the snapshot to display using the top-left drop-down list. Next to this list follow the various statistics types you can browse:</span>
                <ul class="manual-list">
                    <li><span class="icon-triangle-e">&nbsp;</span> <strong>Metrics</strong> An overview of numerous figures, including the total number of users, their overall activity, used storage, created shares, and more.</li>
                    <li><span class="icon-triangle-e">&nbsp;</span> <strong>File types</strong> This diagram displays the total number of files grouped by various file types (e.g., documents and images), as well as their used storage. The groups to capture and their corresponding file endings can be freely configured in Sccuot NG&#39;s snapshot settings (see below).</li>
                    <li><span class="icon-triangle-e">&nbsp;</span> <strong>Users storage</strong> This histogram shows how many users have used up to a certain amount of storage. To filter this display, minimum and maximum limits can be defined; users that use less than the minimum or more than the maximum amount specified will not be taken into account. It is also possible to set the number of histogram bins using the drop-down list on the right.</li>
                    <li><span class="icon-triangle-e">&nbsp;</span> <strong>Users quota</strong> This histograms shows how many users have used up to a certain amount of their storage quota (users that do not have a quota assigned are ignored). The number of histogram bins can be set using the drop-down list on the right.</li>
                </ul>
                <br>
                <p>For all statistics and diagrams, the file size unit (bytes, kilobytes, and so on) can be changed using the top-right drop-down list.</p>

                <h3>Timeline of all snapshots</h3>
                <p>The timeline of various metrics across all snapshots can be viewed on the <strong>Statistics: Timeline</strong> page, allowing you to see how these metrics have developed over time.</p>
                <p>To select the metrics type to display, use the top-left drop-down list.</p>

                <h3>Managing snapshots</h3>
                <p>The <strong>Snapshots: Manage</strong> page shows you an overview of all snapshots taken. It&#39;s also possible to delete existing snapshots here.</p>

                <h3>Taking snapshots</h3>
                <p>To manually take a new snapshot, browse to the <strong>Snapshots: Take snapshot</strong> page. Optionally enter a comment for your new snapshot, and with a click on the <strong>Take snapshot</strong> button, a new snapshot will be created!</p>
                <p>Note that the snapshot will even be taken if you browse away from this page while the process is still running.</p>

                <h3>Settings</h3>
                <p>Snapshots can be configured using the <strong>Settings: Snapshot</strong> page. The following settings are available:</p>
                <h4>General</h4>
                <table>
                    <thead>
                    <tr>
                        <th>Name</th>
                        <th>Description</th>
                        <th>Default value</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td><strong>Automatic snapshot interval</strong></td>
                        <td>This settings specifies how frequently automatic snapshots will be taken. Leaving this setting empty will disable automatic snapshots.<br><em>Note that Cron jobs must be enabled in the ownCloud settings for this feature to work.</em></td>
                        <td><code>1d</code></td>
                    </tr>
                    <tr>
                        <td><strong>Maximum snapshot age</strong></td>
                        <td>To limit the number of snapshots, Sccuot NG can automatically delete snapshots that have surpassed a certain age. Leaving this setting empty will disable automatic snapshots.<br><em>Note that Cron jobs must be enabled in the ownCloud settings for this feature to work.</em></td>
                        <td><code>30d</code></td>
                    </tr>
                    </tbody>
                </table>
                <h4>File types groups</h4>
                <p>This list allows you to configure the various file types groups that are displayed in the <strong>File types</strong> statistics page. Each group consists of a name as well as one or more file type endings that shall belong to this group.</p>
                <p>If you wish to temporarily stop a group from being counted, you can uncheck the corresponding <code>Collect</code> check box.</p>
                <p>The option <code>Filter out files belonging to closed accounts</code> will ignore any files that belong to closed user accounts. Enabling this option can, however, significantly impact the overall performance of taking snapshots.</p>
                <h4>Advanced</h4>
                <table>
                    <thead>
                    <tr>
                        <th>Name</th>
                        <th>Description</th>
                        <th>Default value</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td><strong>Query chunk size</strong></td>
                        <td>Gathering snapshot values can be performed in chunks. This can improve the overall stability of this process, but will also impact its performance.</td>
                        <td><code>100000</code></td>
                    </tr>
                    </tbody>
                </table>

                <h3>Command-line commands</h3>
                <p>Sccuot NG can also be controlled through the <code>occ</code> command. The following commands are currently supported:</p>
                <table>
                    <thead>
                    <tr>
                        <th>Command</th>
                        <th>Description</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td><code>sccuot_ng:take</code></td>
                        <td>Takes a new snapshot.</td>
                    </tr>
                    <tr>
                        <td><code>sccuot_ng:list</code></td>
                        <td>Lists all available snapshots.</td>
                    </tr>
                    <tr>
                        <td><code>sccuot_ng:delete</code></td>
                        <td>Deletes one or more snapshots.</td>
                    </tr>
                    </tbody>
                </table>
                <br>
                <p>To get more information about each command, including supported parameters, use <code>occ help &lt;command&gt;</code>.</p>

                <h3>Prometheus metrics</h3>
                <p>
                    The latest snapshot is exposed as Prometheus metrics at the <em>/metrics</em> endpoint. An example URL looks like this:
                    <table>
                    <tbody>
                    <tr>
                        <td style="font-family: monospace; font-size: 120%;">https://www.my-owncloud.org/index.php/apps/sccuot_ng/metrics</td>
                    </tr>
                    </tbody>
                    </table>
                </p>
                <p>This endpoint can be scraped by Prometheus to further process all metrics collected in a snapshot.</p>

                <h2 class="manual-section">Important notes on taking snapshots</h2>
                <p>Creating a snapshot can take, depending of the size of your ownCloud instance, a substantial amount of time. We therefore recommend to not take snapshots too often on large instances, and only take them during quiet hours.</p>
                <p>Also note that since Sccuot NG gathers its information from the ownCloud database and does not access the stored files directly, the gathered results might not be perfectly accurate in all cases.</p>

                <h2 class="manual-section">Questions? Feedback?</h2>
                <p>Got any questions or feedback? We are always happy to hear from you! For any inquiries regarding Sccuot NG, you can write an email to <a href="mailto:oc.wwuit@uni-muenster.de" target="_blank">oc.wwuit@uni-muenster.de</a>.</p>
            </div>
        </div>
    </div>
</script>
