<?php
    style('sccuot_ng', 'nav/navigation');

    script('sccuot_ng', 'nav/navigation');
?>

<?php
    function outputNavItem($id, $text, $route, $image) {
        $route = link_to_route('sccuot_ng', $route);
        $cls = is_route_active($route) ? "nav-item active" : "nav-item";
        $image = "url('" . image_path('sccuot_ng', 'nav/' . $image) . "');";
        $html = '<li><a id="' . $id . '" href="' . $route . '" class="' . $cls . '" style="background-image: ' . $image . '">' . $text . '</a></li>';
        print_unescaped($html);
    }
?>

<script id="navigation-tpl" type="text/x-handlebars-template">
    <ul id="navigation-menu">
        <!-- Statistics -->
        <li><div class="nav-category">Statistics</div></li>
        <?php outputNavItem('nav-stats-statistics', 'Statistics &amp; Metrics', 'statistics.statistics_page', 'stats.svg'); ?>
	    <?php outputNavItem('nav-stats-timeline', 'Timeline', 'timeline.timeline_page', 'timeline.svg'); ?>

        <!-- Snapshots -->
        <?php if (is_user_admin()): ?>
            <li><div class="nav-category">Snapshots</div></li>
            <?php outputNavItem('nav-snapshot-manage', 'Manage', 'snapshot.manage_page', 'snapshots.svg'); ?>
            <?php outputNavItem('nav-snapshot-take', 'Take snapshot', 'snapshot.take_page', 'take-snapshot.svg'); ?>
        <?php endif; ?>

        <!-- Settings -->
	    <?php if (is_user_admin()): ?>
            <li><div class="nav-category">Settings</div></li>
            <?php outputNavItem('nav-settings-snapshots', 'Snapshots', 'config.snapshot_settings_page', 'settings.svg'); ?>
	    <?php endif; ?>

        <!-- Help -->
        <li><div class="nav-separator"></div></li>
        <li><div class="nav-category">Help</div></li>
        <?php outputNavItem('nav-help-manual', 'Manual', 'help.manual_page', 'help.svg'); ?>
        <?php outputNavItem('nav-help-about', 'About Sccuot NG', 'help.about_page', 'about.svg'); ?>
    </ul>
</script>
