<?php
    print_unescaped($this->inc('template', ['scope' => 'snapshot', 'file' => 'manage']));
?>

<!-- Content template -->
<script id="content-tpl" type="text/x-handlebars-template">
    <div class="content-page">
        <div class="content-header">
            <img src="<?php print_unescaped(image_path('sccuot_ng', 'nav/snapshots.svg')); ?>" class="icon icon-center" width="23px"/>
            <h2>Manage snapshots</h2>
        </div>

        <div id="snapshot-table-section">
            <div class="section-header">
                <h3>Snapshots overview</h3>
            </div>
            <div>Below is a list of all snapshots taken so far, ordered descending by their timestamps.</div>
            <div>&nbsp;</div>
            <div id="snapshots-table"></div>
        </div>
    </div>
</script>

<!-- Snapshots table templates -->
<script id="snapshots-table-tpl" type="text/x-handlebars-template">
    <div class="box box-dynamic">
        <div class="table" style="width: 100%;">
            <div class="table-header">
                <div class="table-header-cell table-cell-min-width">ID</div>
                <div class="table-header-cell table-cell-min-width">Timestamp</div>
                <div class="table-header-cell table-cell-min-width">Taken by</div>
                <div class="table-header-cell">Comment</div>
                <div class="table-header-cell table-cell-min-width">Select [<a id="select-all">all</a>|<a id="select-none">none</a>|<a id="select-invert">invert</a>]</div>
            </div>
            <div class="table-content">
                {{#each snapshots}}
                <div class="table-row">
                    <div class="table-cell table-cell-min-width">{{this.id}}</div>
                    <div class="table-cell table-cell-min-width"><strong>{{this.timestamp_s}}</strong></div>
                    {{#if this.username}}
                    <div class="table-cell table-cell-min-width">{{this.username}}</div>
                    {{else}}
                    <div class="table-cell"><em>(unknown)</em></div>
                    {{/if}}
                    <div class="table-cell"><i>{{this.comment}}</i></div>
                    <div class="table-cell table-cell-min-width" style="text-align: center;"><input type="checkbox" id="snapshot_{{this.id}}" value="{{this.id}}"/></div>
                </div>
                {{/each}}
            </div>
        </div>
        <div style="text-align: right; margin-top: 10px;">
            <button id="snapshots-delete">Delete snapshots</button>
        </div>
    </div>
</script>

<script id="snapshots-loading-tpl" type="text/x-handlebars-template">
    <div class="box">
        <div><img src="<?php print_unescaped(image_path('sccuot_ng', 'icons/hourglass.svg')); ?>" class="icon icon-center" width="19px"/><strong>Loading snapshots... this should not take long.</strong></div>
    </div>
</script>

<script id="snapshots-empty-tpl" type="text/x-handlebars-template">
    <div class="box">
        {{> noSnapshotsHint}}
    </div>
</script>

<script id="snapshots-error-tpl" type="text/x-handlebars-template">
    <div class="box">
        <div><img src="<?php print_unescaped(image_path('sccuot_ng', 'icons/bug.svg')); ?>" class="icon icon-center" width="19px"/><strong>Failed to load snapshots.</strong></div>
    </div>
</script>
