<script id="stats-metrics-tpl" type="text/x-handlebars-template">
    {{#if active_snapshot}}
    {{#with active_snapshot}}
    <div class="metrics-table">
        <div style="grid-column: 1;">
            <div class="metrics-table-section">Users &amp; Groups</div>
            <div class="table">
                <div class="table-content">
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-label">Total user accounts</div>
                        <div class="table-cell">{{formatNumber values.users_count.total}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-sublabel"><span class="icon-triangle-e metrics-table-cell-icon">&nbsp;</span> Open accounts</div>
                        <div class="table-cell">{{formatNumber values.users_count.open}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-sublabel"><span class="icon-triangle-e metrics-table-cell-icon">&nbsp;</span> Closed accounts</div>
                        <div class="table-cell">{{formatNumber values.users_count.closed}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-label">Total user groups</div>
                        <div class="table-cell">{{formatNumber values.groups_count}}</div>
                    </div>
                    <div class="table-row">&nbsp;</div>
                    <div class="table-caption">Activity</div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-label">Last day</div>
                        <div class="table-cell">{{formatNumber values.users_count.day}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-label">Last week</div>
                        <div class="table-cell">{{formatNumber values.users_count.week}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-label">Last month</div>
                        <div class="table-cell">{{formatNumber values.users_count.month}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-label">Last quarter</div>
                        <div class="table-cell">{{formatNumber values.users_count.quarter}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-label">Last year</div>
                        <div class="table-cell">{{formatNumber values.users_count.year}}</div>
                    </div>
                </div>
            </div>
        </div>

        <div style="grid-column: 2;">
            <div class="metrics-table-section">Files</div>
            <div class="table">
                <div class="table-content">
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-label">Total files count</div>
                        <div class="table-cell">{{formatNumber values.files_count.total}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-sublabel"><span class="icon-triangle-e metrics-table-cell-icon">&nbsp;</span> Open accounts</div>
                        <div class="table-cell">{{formatNumber values.files_count.active}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-sublabel"><span class="icon-triangle-e metrics-table-cell-icon">&nbsp;</span> Closed accounts</div>
                        <div class="table-cell">{{formatNumber values.files_count.obsolete}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-label">Total used storage</div>
                        <div class="table-cell">{{formatFileSize values.files_size.total ../filesize_unit}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-sublabel"><span class="icon-triangle-e metrics-table-cell-icon">&nbsp;</span> Open accounts</div>
                        <div class="table-cell">{{formatFileSize values.files_size.active ../filesize_unit}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-sublabel"><span class="icon-triangle-e metrics-table-cell-icon">&nbsp;</span> Closed accounts</div>
                        <div class="table-cell">{{formatFileSize values.files_size.obsolete ../filesize_unit}}</div>
                    </div>
                    <div class="table-row">&nbsp;</div>
                    <div class="table-caption">Averages per user</div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-label">Files count</div>
                        <div class="table-cell">{{formatNumber values.files_count_avg_per_user}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-label">Used storage</div>
                        <div class="table-cell">{{formatFileSize values.files_size_avg_per_user ../filesize_unit}}</div>
                    </div>
                </div>
            </div>
        </div>

        <div style="grid-column: 3;">
            <div class="metrics-table-section">Shares</div>
            <div class="table">
                <div class="table-content">
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-label">Total shares count</div>
                        <div class="table-cell">{{formatNumber values.shares_count.total}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-sublabel"><span class="icon-triangle-e metrics-table-cell-icon">&nbsp;</span> Files</div>
                        <div class="table-cell">{{formatNumber values.shares_count.files}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-sublabel"><span class="icon-triangle-e metrics-table-cell-icon">&nbsp;</span> Folders</div>
                        <div class="table-cell">{{formatNumber values.shares_count.folders}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-label">Public links count</div>
                        <div class="table-cell">{{formatNumber values.shares_count.public_links}}</div>
                    </div>
                    <div class="table-row">
                        <div class="table-cell metrics-table-cell-label">External shares count</div>
                        <div class="table-cell">{{formatNumber values.shares_count.external}}</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {{/with}}
    {{/if}}
</script>
