<?php
    print_unescaped($this->inc('template', ['scope' => 'stats', 'file' => 'statistics']));

    script('sccuot_ng', 'stats/statisticsPages');
?>

<!-- Content template -->
<script id="content-tpl" type="text/x-handlebars-template">
    <div class="content-page">
        <div class="content-header">
            <img src="<?php print_unescaped(image_path('sccuot_ng', 'nav/stats.svg')); ?>" width="23px"/>
            <h2>Statistics &amp; Metrics</h2>
        </div>

        <div id="view-statistics-section">
            <div class="section-header">
                <h3>View statistics and metrics</h3>
            </div>

            <div>Select the snapshot you want to inspect using the drop-down menu below. You can then browse through the different statistics and metrics using the corresponding tab entry.</div>

            <div id="stats-container" class="box" style="margin-top: 10px;">
                <div id="stats-container-header" class="tab-bar">
                    <span style="grid-column: 1;">
                        <img src="<?php print_unescaped(image_path('sccuot_ng', 'icons/snapshot.svg')); ?>" class="icon icon-center" width="19px" style="padding-bottom: 3px;"/>
                        <select name="Active snapshot" title="Active snapshot" id="snapshots-list"></select>
                    </span>
                    <span id="statistics-tab-bar" style="grid-column: 2;"></span>
                    <span style="grid-column: 3;">
                        <label for="filesize-units">Display file sizes in</label>
                        <select name="File size units" title="File size units" id="filesize-units"></select>
                    </span>
                </div>

                <div id="stats-container-content"></div>

                <div id="stats-container-empty" class="box">
                    {{> noSnapshotsHint}}
                </div>
            </div>
        </div>
    </div>
</script>

<!-- Statistics page templates -->
<?php
    script('sccuot_ng', 'stats/histogramPage');

    $pages = [
        'metrics',
        'fileTypes',
        'usersStorage',
        'usersQuota',
    ];

    foreach ($pages as $page) {
        $page = 'stats/pages/' . $page;
        style('sccuot_ng', $page);
        script('sccuot_ng', $page);
        print_unescaped($this->inc($page));
    }
?>
