<?php
    print_unescaped($this->inc('template', ['scope' => 'timeline', 'file' => 'timeline']));
?>

<!-- Content template -->
<script id="content-tpl" type="text/x-handlebars-template">
    <div class="content-page">
        <div class="content-header">
            <img src="<?php print_unescaped(image_path('sccuot_ng', 'nav/timeline.svg')); ?>" width="23px"/>
            <h2>Timeline</h2>
        </div>

        <div id="view-timeline-section">
            <div class="section-header">
                <h3>View timeline</h3>
            </div>

            <div>Below is a graph showing the timeline of various metrics across all snapshots. Select which metric to display using the drop-down menu.</div>

            <div id="timeline-container" class="box" style="margin-top: 10px;">
                <div id="timeline-container-header">
                    <span style="grid-column: 1;">
                        <img src="<?php print_unescaped(image_path('sccuot_ng', 'icons/measure.svg')); ?>" class="icon icon-center" width="19px" style="padding-bottom: 3px;"/>
                        <select name="Metric type" title="Metric type" id="metrics-list"></select>
                    </span>
                    <span id="timeline-tab-bar" style="grid-column: 2;"></span>
                    <span style="grid-column: 3;">
                        <label for="filesize-units">Display file sizes in</label>
                        <select name="File size units" title="File size units" id="filesize-units"></select>
                    </span>
                </div>

                <div id="timeline-container-content"></div>
            </div>
        </div>
    </div>
</script>

<script id='timeline-chart-tpl' type='text/x-handlebars-template'>
    <canvas id="timeline-chart" aria-label="Timeline" role="img">
        <p>Unable to display chart</p>
    </canvas>
</script>

<script id='timeline-loading-tpl' type='text/x-handlebars-template'>
    <p>Loading snapshots...</p>
</script>

<script id='timeline-empty-tpl' type='text/x-handlebars-template'>
    {{> noSnapshotsHint}}
</script>

<script id='timeline-error-tpl' type='text/x-handlebars-template'>
    Failed to load snapshots
</script>

